patch
https://sandbox.pismolabs.io/wallet/v2/cards//renew
Renew a card via setting a new expiration date.
Notes:
- Renewal can be done for
PLASTICandVIRTUALcards. - Cards with status
UNNUMBERED,UNBOUND,CREATED, or final status cannot be renewed. - This endpoint generates a Card updated event.
- This endpoint requires an account token—an access token encoded with a Pismo account ID. Tokens can expire quickly, which can result in a 401 Unauthorized error message.
For more information, refer to the Card renewal guide.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
400Bad request. Possible causes:
-
new_expiration_dateis missing or not inYYMMformat. -
Month is not between
01and12. -
new_expiration_dateis not later than the card's current expiration date. -
Card type is not
PLASTICorVIRTUAL. -
Card status is
UNNUMBERED,UNBOUND,CREATEDor final status.
401Access token is missing or invalid
403You don't have permission to access this resource
404The specified resource was not found
500Internal server error